phrGetErrorStrings {phreeqc} | R Documentation

## Retrieve error string messages.

### Description

Retrieves a character vector containing any error messages that were generated during the last invocation of the following methods: `phrAccumulateLine`, `phrLoadDatabase`, `phrLoadDatabaseString`, `phrRunAccumulated`, `phrRunFile`, `phrRunString`

### Usage

    phrGetErrorStrings()

### Details

This routine is rarely needed when running interactively since the error string is displayed when it occurs.

### Value

The error messages as a character vector.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Error: `phrGetErrorFileName`, `phrGetErrorFileOn`, `phrGetErrorStringsOn`, `phrSetErrorFileName`, `phrSetErrorFileOn`, `phrSetErrorStringsOn`

### Examples

    # loaddatabase should fail
    n <- try(phrLoadDatabase("missing.dat"), silent = TRUE)
    # if n is non-NULL display error string
    if (!is.null(n)) phrGetErrorStrings()

[Package phreeqc version 3.4.10 Index]